Subject: RE: [bmwg] Proposal on Protection Benchmarking

From: "Karu Ratnam \(kratnam\)" <[email-masked]>
Date: Tue, 30 May 2006 22:44:17 -0400

Co-chair,
My appologies for not sening in my comments earlier.. I did send my
comments to the authors before the Dallas meeting and I would expect the
latest version addresses the issues I raised. 

I support this work item and I'll review the latest version of the draft
by 6/15/06.

Thank you.
Karu Ratnam PhD
Cisco System

> -----Original Message-----
> From: Al Morton [mailto:[email-masked]] 
> Sent: Friday, May 26, 2006 4:46 PM
> To: [email-masked]
> Subject: Re: [bmwg] Proposal on Protection Benchmarking
> 
> REMINDER:
> 
> The comment period on this proposal closes next week (and 
> messages on this thread are few).
> 
> At 03:30 PM 5/3/2006, Al Morton wrote:
> >BMWG,
> >
> >The proponents of the Protection Benchmarking Work Proposal have 
> >prepared the description of this work effort, below.
> >
> >BMWG discussed this work at the Dallas IETF-65 session, 
> where there was 
> >strong support and involved membership (see meeting minutes).
> >
> >Please weigh-in on whether this topic should become part of BMWG's 
> >chartered work, by
> >
> >                    June 2, 2006
> >
> >And, if you support the work, please say:
> >
> >+  HOW you intend to support the development in BMWG,
> >    (by reviewing draft X by MM/DD/YY, for example),  or
> >
> >+  WHY this work will be beneficial to BMWG's user community, or
> >
> >+  Modifications that would make the proposal more useful
> >    (which we will discuss on the list), and
> >
> >+  (anything else that's constructive)
> >
> >And remember, we'd like to hear your opinion on the list, 
> even if you 
> >spoke in favor of this proposal at the meeting.
> >
> >Thanks in advance for your efforts and commitment to BMWG!
> >
> >Al
> >bmwg co-chair
> >
> >=============================================================
> ==========
> >==
> >
> >Proposal for Protection Benchmarking
> >
> >
> >Summary:
> >
> >This is a proposal for a BMWG work item for black-box 
> benchmarking of 
> >sub-IP protection mechanisms at the IP Layer. These 
> mechanisms function 
> >at sub-IP layers with the purpose of protecting IP traffic, 
> making it 
> >possible to develop benchmarks for these mechanisms by measuring the 
> >data plane at the IP layer.  This work item will develop a common 
> >terminology to be used for protection benchmarking at the 
> data plane of 
> >the IP Layer and multiple methodology documents for each sub-IP 
> >protection mechanism.  Such mechanisms include but are not 
> limited to 
> >MPLS Fast Reroute, SONET APS, and High Availability.  The 
> methodologies 
> >and benchmarks can be used to compare performance of a protection 
> >mechanism on one device to another or to compare performance 
> of two or 
> >more protection mechanisms.
> >
> >
> >Goal:
> >
> >The objective is to produce a terminology document for protection 
> >benchmarking at the IP Layer and methodology documents for 
> benchmarking 
> >protection mechanisms at the IP layer.  Path failures and 
> rerouting are 
> >benchmarked through packet loss measurement on the data 
> plane.  There 
> >will be a common terminology to be used for protection 
> benchmarking at 
> >the IP Layer and multiple methodology documents for each 
> sub-IP protection mechanism.
> >
> >
> >Scope:
> >
> >The focus of this effort is to benchmark Sub-IP protection 
> mechanisms at 
> >the IP Layer for a DUT or SUT.   Such mechanisms include but are not 
> >limited to MPLS Fast Reroute, SONET APS, and High Availability.  The 
> >benchmark parameters that are measured are independent of 
> the layer 3 
> >routing protocol being run.  The data plane is measured to 
> obtain the 
> >IP layer benchmarks. Control Plane scaling will be considered in the 
> >test methodologies to measure its impact to the IP Layer 
> benchmarks. In 
> >addition, this effort will characterize the duplicate and reordered 
> >packets within the definition of recovery time. The presence of 
> >duplicate and errored packets may be tied to the failover event.
> >
> >
> >Motivation:
> >
> >Service Providers are currently deploying sub-IP protection 
> mechanisms 
> >to minimize or eliminate IP layer packet loss and control plane 
> >failure.  The networking device failover performance times 
> have become 
> >critical metrics for deployment selection.  Faster networking device 
> >failover times have directly led to faster network failure 
> recovery times.
> >
> >  Network users consider packet loss a key service metric. 
> Intervals of 
> > high packet loss are externally observable events having 
> direct impact 
> > on user application performance. Numerous sub-IP protection 
> mechanisms 
> > have been developed and are now being deployed to minimize 
> IP packet 
> > loss upon a failure.  For this reason it is very important 
> to develop 
> > uniform protection mechanism benchmarks for comparing networking 
> > device performance.  Service providers can use these benchmarks to 
> > compare performance of a protection mechanism on one device 
> to another 
> > or to compare performance of two or more protection mechanisms.
> >
> >
> >Schedule:
> >
> >"Terminology For Protection Benchmarking,"
> >
> >draft-poretsky-protection-term-01.txt, Ready for WGLC 07/06 
> and Ready 
> >for IESG 10/06.
> >
> >
> >"Methodology For MPLS Protection Benchmarking,"
> >
> >draft-poretsky-mpls-protection-meth-05.txt
> >
> >
> >MERGE WITH
> >
> >"Methodology for benchmarking fast fail-overtime with local 
> protection,"
> >
> >draft-vapiwala-bmwg-frr-failover-meth-00.txt
> >
> >
> >TO CREATE
> >
> >"Methodology for MPLS Protection Benchmarking,"
> >
> >draft-ietf-bmwg-mpls-protection-meth-00.txt
> >
> >
> >FIRST SUBMITTAL 06/06 and Ready for WGLC 12/06 and Ready for 
> IESG 04/07.
> >
> >
> >These documents (Terminology and Methodology) have already undergone 
> >extensive working group review.
> 
> 
> _______________________________________________
> bmwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/bmwg
> 

_______________________________________________
bmwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bmwg

---

From: "Raveesh Janardan \(rjanarda\)" <[email-masked]>
Date: Wed, 31 May 2006 12:12:58 -0400

Co-Chair
First of all apologize for the delay in response.
I had reviewed the draft and conveyed my comments on it which I expect
to be
incorporated into the latest version of the draft.

We use the most scenerio's listed in the draft as part of our protection

mechanism tests. I support this draft and will review the latest version
when it is available

Thanks 
Raveesh Janardan
Cisco Systems

-----Original Message-----
From: Karu Ratnam (kratnam) 
Sent: Tuesday, May 30, 2006 10:44 PM
To: Al Morton; [email-masked]
Subject: RE: [bmwg] Proposal on Protection Benchmarking

Co-chair,

Thank you.
Karu Ratnam PhD
Cisco System

> The comment period on this proposal closes next week (and messages on 
> this thread are few).
>

---

From: "Jay Karthik \(jakarthi\)" <[email-masked]>
Date: Wed, 31 May 2006 13:06:42 -0400

Vrushi,

Thanks for supporting this proposal and for agreeing to review the
merged draft. 

We have incorporated your suggestions and have addressed all your
comments in the merged draft that will be out shortly.  

-Jay

-----Original Message-----
From: vgurudevappa [mailto:[email-masked]] 
Sent: Wednesday, May 31, 2006 12:44 PM
To: Al Morton
Cc: [email-masked]
Subject: Re: [bmwg] Proposal on Protection Benchmarking

Hi* *Al,
 
As I previously stated I am in favor of this work item and shall
contribute in the form of technical reviews.  I hope the authors have
addressed my comments in the merged draft.
 
Cheers
-Vrushi
 
-----------------------------

Al Morton wrote:

>> BMWG discussed this work at the Dallas IETF-65 session, where there 
>> was strong support and involved membership (see meeting minutes).
>>
>> And remember, we'd like to hear your opinion on the list, even if you

>> =====================================================================
>> ====
>>
>>
>> This is a proposal for a BMWG work item for black-box benchmarking of

>> sub-IP protection mechanisms at the IP Layer. These mechanisms 
>> function at sub-IP layers with the purpose of protecting IP traffic, 
>> making it possible to develop benchmarks for these mechanisms by 
>> measuring the data plane at the IP layer.  This work item will 
>> develop a common terminology to be used for protection benchmarking 
>> at the data plane of the IP Layer and multiple methodology documents 
>> for each sub-IP protection mechanism.  Such mechanisms include but 
>> are not limited to MPLS Fast Reroute, SONET APS, and High 
>> Availability.  The methodologies and benchmarks can be used to 
>> compare performance of a protection mechanism on one device to 
>> another or to compare performance of two or more protection
mechanisms.
>> benchmarking protection mechanisms at the IP layer.  Path failures 
>> and rerouting are benchmarked through packet loss measurement on the 
>> data plane.  There will be a common terminology to be used for 
>> protection benchmarking at the IP Layer and multiple methodology 
>> documents for each sub-IP protection mechanism.
>>
>>
>> Scope:
>>
>> The focus of this effort is to benchmark Sub-IP protection mechanisms

>> at the IP Layer for a DUT or SUT.   Such mechanisms include but are 
>> not limited to MPLS Fast Reroute, SONET APS, and High Availability.  
>> The benchmark parameters that are measured are independent of the 
>> layer 3 routing protocol being run.  The data plane is measured to 
>> obtain the IP layer benchmarks. Control Plane scaling will be 
>> considered in the test methodologies to measure its impact to the IP 
>> Layer benchmarks. In addition, this effort will characterize the 
>> duplicate and reordered packets within the definition of recovery 
>> time. The presence of duplicate and errored packets may be tied to 
>> the failover event.
>>
>>
>> Motivation:
>>
>> mechanisms to minimize or eliminate IP layer packet loss and control 
>> plane failure.  The networking device failover performance times have

>> become critical metrics for deployment selection.  Faster networking 
>> device failover times have directly led to faster network failure 
>> recovery times.
>>
>>  Network users consider packet loss a key service metric. Intervals 
>> of high packet loss are externally observable events having direct 
>> impact on user application performance. Numerous sub-IP protection 
>> mechanisms have been developed and are now being deployed to minimize

>> IP packet loss upon a failure.  For this reason it is very important 
>> to develop uniform protection mechanism benchmarks for comparing 
>> networking device performance.  Service providers can use these 
>> benchmarks to compare performance of a protection mechanism on one 
>> device to another or to compare performance of two or more protection

>> mechanisms.
>> draft-poretsky-protection-term-01.txt, Ready for WGLC 07/06 and Ready

protection,"
>> FIRST SUBMITTAL 06/06 and Ready for WGLC 12/06 and Ready for IESG
04/07.